Wallet

Get project fee configuration (for non-custodial / external users)

Get project-level fee settings (enabled flag and fee percentage). **For non-custodial / external users** — e.g. when your app charges a fee on payouts or transfers. Custodial wallet is no longer used in production. Applies to all supported chains/currencies for that project.

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
GET/api/wallet/projects/{projectId}/fee-config

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.getWalletFeeConfig("proj_ZmhjbWnrkLEX");
const { data: result } = await wallet.getWalletFeeConfig("proj_ZmhjbWnrkLEX");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYesProject ID

Responses

200Fee configuration (applies to all supported currencies/chains for this project)

Project fee enabled (1%)

json
{
  "success": true,
  "data": {
    "enabled": true,
    "feePercentage": 0.01
  }
}
{
  "success": true,
  "data": {
    "enabled": true,
    "feePercentage": 0.01
  }
}

Project fee disabled

json
{
  "success": true,
  "data": {
    "enabled": false,
    "feePercentage": 0.01
  }
}
{
  "success": true,
  "data": {
    "enabled": false,
    "feePercentage": 0.01
  }
}
404

Errors

CodeMeaning
404
Edit this page on GitHub